package com.jeeplus.test.cw.projectReport.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.cw.projectReport.domain.CwProofreadDetail;
import com.jeeplus.test.proofread.domain.ProofreadDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CwProofreadDetailMapper extends BaseMapper<CwProofreadDetail> {

    List<CwProofreadDetail> findByInfoId(@Param("id") String id);

    List<CwProofreadDetail> findByReportInfoId(@Param("id") String id);

    List<CwProofreadDetail> findList(@Param("type")String type);

    CwProofreadDetail getByTypeIdAndInfoId(@Param("typeId")String typeId,@Param("infoId")String infoId);
}
